@ECHO OFF
 
REM The paths for ADB, and COM2tcp need to be set correctly below
REM If this is a USB connection, set USB to yes, any other value for TCP
REM If this is a TCP connection, LOCAL PORT is the port that will be used
REM Make sure and set the IP_ADDRESS for when Share GPS is a TCP server

set USB="yes"   
set ADB_PATH="C:\Program Files (x86)\Minimal ADB and Fastboot\adb.exe"
set COMTCP_PATH="C:\Program Files (x86)\Minimal ADB and Fastboot\com2tcp.exe"
set IP_ADDRESS=127.0.0.1
set MOBILE_PORT=50000
set LOCAL_PORT=20175
set COM_PORT=CNCB0

2>NUL CALL :CASE_%1
IF ERRORLEVEL 1 CALL :DEFAULT_CASE

EXIT /B

:CASE_
:CASE_start
  IF /I %USB%=="yes" (
    timeout /t 5 /nobreak
    %ADB_PATH% devices
    %ADB_PATH% forward tcp:%LOCAL_PORT% tcp:%MOBILE_PORT%
  )
  start "com2tcp Monitor" %COMTCP_PATH% --telnet \\.\%COM_PORT% %IP_ADDRESS% %LOCAL_PORT%
  GOTO END_CASE

:CASE_stop
  IF /I %USB%=="yes" (
    %ADB_PATH% forward --remove tcp:%LOCAL_PORT%
  )
  TASKKILL /IM com2tcp.exe
  GOTO END_CASE

:DEFAULT_CASE
  ECHO Usage: 'shareGPS start' or 'shareGPS stop'
  timeout /t 3 /nobreak
  GOTO END_CASE

:END_CASE
  VER > NUL
  GOTO :EOF
